Cyan Web API - Version 1


GET api/deviceGroups

            Gets all DeviceGroups.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "deviceGroupId": "1d23a47a-8c32-4680-8dfe-b519f84efb54",
    "tenantId": "c8c9026d-ce87-4f43-86e1-c1a12a408b82",
    "lookupKey": "sample string 3",
    "name": "sample string 4",
    "description": "sample string 5",
    "isDefault": true,
    "createdDateUtc": "2026-08-07T08:06:36.6525056+00:00",
    "updatedDateUtc": "2026-08-07T08:06:36.6525056+00:00"
  },
  {
    "deviceGroupId": "1d23a47a-8c32-4680-8dfe-b519f84efb54",
    "tenantId": "c8c9026d-ce87-4f43-86e1-c1a12a408b82",
    "lookupKey": "sample string 3",
    "name": "sample string 4",
    "description": "sample string 5",
    "isDefault": true,
    "createdDateUtc": "2026-08-07T08:06:36.6525056+00:00",
    "updatedDateUtc": "2026-08-07T08:06:36.6525056+00:00"
  },
  {
    "deviceGroupId": "1d23a47a-8c32-4680-8dfe-b519f84efb54",
    "tenantId": "c8c9026d-ce87-4f43-86e1-c1a12a408b82",
    "lookupKey": "sample string 3",
    "name": "sample string 4",
    "description": "sample string 5",
    "isDefault": true,
    "createdDateUtc": "2026-08-07T08:06:36.6525056+00:00",
    "updatedDateUtc": "2026-08-07T08:06:36.6525056+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfDeviceGroupRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <DeviceGroupRepresentation>
    <CreatedDateUtc>2026-08-07T08:06:36.6525056+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-07T08:06:36.6525056+00:00</UpdatedDateUtc>
    <Description>sample string 5</Description>
    <DeviceGroupId>1d23a47a-8c32-4680-8dfe-b519f84efb54</DeviceGroupId>
    <IsDefault>true</IsDefault>
    <LookupKey>sample string 3</LookupKey>
    <Name>sample string 4</Name>
    <TenantId>c8c9026d-ce87-4f43-86e1-c1a12a408b82</TenantId>
  </DeviceGroupRepresentation>
  <DeviceGroupRepresentation>
    <CreatedDateUtc>2026-08-07T08:06:36.6525056+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-07T08:06:36.6525056+00:00</UpdatedDateUtc>
    <Description>sample string 5</Description>
    <DeviceGroupId>1d23a47a-8c32-4680-8dfe-b519f84efb54</DeviceGroupId>
    <IsDefault>true</IsDefault>
    <LookupKey>sample string 3</LookupKey>
    <Name>sample string 4</Name>
    <TenantId>c8c9026d-ce87-4f43-86e1-c1a12a408b82</TenantId>
  </DeviceGroupRepresentation>
  <DeviceGroupRepresentation>
    <CreatedDateUtc>2026-08-07T08:06:36.6525056+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-07T08:06:36.6525056+00:00</UpdatedDateUtc>
    <Description>sample string 5</Description>
    <DeviceGroupId>1d23a47a-8c32-4680-8dfe-b519f84efb54</DeviceGroupId>
    <IsDefault>true</IsDefault>
    <LookupKey>sample string 3</LookupKey>
    <Name>sample string 4</Name>
    <TenantId>c8c9026d-ce87-4f43-86e1-c1a12a408b82</TenantId>
  </DeviceGroupRepresentation>
</ArrayOfDeviceGroupRepresentation>